summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--multimedia/kmediafactory/README3
-rw-r--r--multimedia/kmediafactory/gcc47.patch11
-rw-r--r--multimedia/kmediafactory/kmediafactory-0.8.1-ffmpeg0.11.patch19
-rw-r--r--multimedia/kmediafactory/kmediafactory.SlackBuild12
-rw-r--r--multimedia/kmediafactory/kmediafactory.info8
5 files changed, 45 insertions, 8 deletions
diff --git a/multimedia/kmediafactory/README b/multimedia/kmediafactory/README
index cbedc48615..5509777593 100644
--- a/multimedia/kmediafactory/README
+++ b/multimedia/kmediafactory/README
@@ -2,4 +2,5 @@ KMediaFactory is easy to use template based dvd authoring tool.
You can quickly create DVD menus for home videos and TV recordings
in three simple steps.
-kaffeine is a optional dependency for preview DVDs.
+Optional dependencies are kaffeine (for preview DVDs), mlt and
+dvd-slideshow (for slideshows).
diff --git a/multimedia/kmediafactory/gcc47.patch b/multimedia/kmediafactory/gcc47.patch
new file mode 100644
index 0000000000..65a62924b0
--- /dev/null
+++ b/multimedia/kmediafactory/gcc47.patch
@@ -0,0 +1,11 @@
+diff -Naur kmediafactory-r691.orig/lib/kmftools.cpp kmediafactory-r691/lib/kmftools.cpp
+--- kmediafactory-r691.orig/lib/kmftools.cpp 2011-06-10 19:05:46.000000000 +0200
++++ kmediafactory-r691/lib/kmftools.cpp 2012-09-19 07:54:15.485298848 +0200
+@@ -51,6 +51,7 @@
+ #include <fontconfig/fontconfig.h>
+ #include <sys/stat.h>
+ #include <stdlib.h>
++#include <unistd.h>
+
+ #include "Q4puGenericSignalSpy.h"
+
diff --git a/multimedia/kmediafactory/kmediafactory-0.8.1-ffmpeg0.11.patch b/multimedia/kmediafactory/kmediafactory-0.8.1-ffmpeg0.11.patch
new file mode 100644
index 0000000000..93b1bfa8e0
--- /dev/null
+++ b/multimedia/kmediafactory/kmediafactory-0.8.1-ffmpeg0.11.patch
@@ -0,0 +1,19 @@
+--- lib/videofile.cpp.ffmpeg 2012-07-30 04:42:30.000000000 +0000
++++ lib/videofile.cpp 2012-07-30 04:43:24.000000000 +0000
+@@ -58,7 +58,6 @@
+ static bool init=false;
+ if(!init) {
+ av_register_all();
+- avcodec_init();
+ avcodec_register_all();
+ av_log_set_level(0);
+ init=true;
+@@ -66,7 +65,7 @@
+
+ close();
+
+- if ( av_open_input_file(&avFromatContext, QFile::encodeName(filename).constData(), 0L, 0, 0L) != 0 ||
++ if ( avformat_open_input(&avFromatContext, QFile::encodeName(filename).constData(), 0L, 0L) != 0 ||
+ av_find_stream_info(avFromatContext) < 0) {
+ close();
+ }
diff --git a/multimedia/kmediafactory/kmediafactory.SlackBuild b/multimedia/kmediafactory/kmediafactory.SlackBuild
index 40290a055a..0f35a1e14a 100644
--- a/multimedia/kmediafactory/kmediafactory.SlackBuild
+++ b/multimedia/kmediafactory/kmediafactory.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=kmediafactory
-VERSION=${VERSION:-0.8.0}
+VERSION=${VERSION:-r691}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -55,13 +55,13 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -73,6 +73,12 @@ find . \
# Fix doctype version
sed -i "s/V4.1.2-Based/V4.2-Based/" doc/en/index.docbook
+# Fix for gcc-4.7.x
+patch -p1 < $CWD/gcc47.patch
+
+# Thanks go to mageia for this patch
+patch -p0 < $CWD/kmediafactory-0.8.1-ffmpeg0.11.patch
+
mkdir -p build
cd build
cmake \
diff --git a/multimedia/kmediafactory/kmediafactory.info b/multimedia/kmediafactory/kmediafactory.info
index 3320cecb3c..03e01896fd 100644
--- a/multimedia/kmediafactory/kmediafactory.info
+++ b/multimedia/kmediafactory/kmediafactory.info
@@ -1,10 +1,10 @@
PRGNAM="kmediafactory"
-VERSION="0.8.0"
+VERSION="r691"
HOMEPAGE="http://code.google.com/p/kmediafactory/"
-DOWNLOAD="http://kmediafactory.googlecode.com/files/kmediafactory-0.8.0.tar.bz2"
-MD5SUM="e3621dffd97a45acd6ff883181d6e106"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/kmediafactory-r691.tar.xz"
+MD5SUM="49d4ad5aeca21d90f014ff62edf6e80f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="dvd-slideshow mjpegtools mlt"
+REQUIRES="dvdauthor mjpegtools ffmpeg"
MAINTAINER="Giovanne Castro"
EMAIL="giovannefc@ig.com.br"